package cz.vutbr.fit.gja.androidspring;

import android.content.Intent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;

public class HttpGetActivity extends AbstractMenuActivity {

  // ***************************************
  // AbstractMenuActivity methods
  // ***************************************
  @Override
  protected String getDescription() {
    return getResources().getString(R.string.http_get_description);
  }

  @Override
  protected String[] getMenuItems() {
    return getResources().getStringArray(R.array.http_get_activity_menu_items);
  }

  @Override
  protected OnItemClickListener getMenuOnItemClickListener() {
    return new OnItemClickListener() {
      public void onItemClick(AdapterView<?> parentView, View childView, int position, long id) {
        switch (position) {
        case 0:
          startActivity(new Intent(parentView.getContext(), HttpGetJsonXmlActivity.class));
          break;
        case 1:
          startActivity(new Intent(parentView.getContext(), HttpGetParametersActivity.class));
          break;
        case 2:
          startActivity(new Intent(parentView.getContext(), GoogleSearchActivity.class));
          break;
        default:
          break;
        }
      }
    };
  }
}
