package cz.vutbr.fit.gja.androidspring;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Roy Clarkson
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class GoogleSearchResponse {

  private ResponseData responseData;

  public void setResponseData(ResponseData responseData) {
    this.responseData = responseData;
  }

  public ResponseData getResponseData() {
    return this.responseData;
  }

  @JsonIgnoreProperties(ignoreUnknown = true)
  static class ResponseData {

    private List<GoogleSearchResult> results;

    public void setResults(List<GoogleSearchResult> results) {
      this.results = results;
    }

    public List<GoogleSearchResult> getResults() {
      return this.results;
    }

  }

}
